# Get Instance Backup Download Link - DescribeUMongoDBBackupURL

## Overview

Get Instance Backup Download Link






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUMongoDBBackupURL`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ClusterId** | string | Cluster ID |**Yes**|
| **BackupId** | string | File Backup ID |No|
| **PackageId** | int | Package ID |No|
| **ValidTime** | int | Backup link expiration time (in seconds) |No|
| **Category** | string | Type: such as oplog |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **InternetAddress** | string | Public Network Address for Backup Files |**Yes**|
| **IntranetAddress** | string | Intranet Address of Backup File |**Yes**|




## Example

### Request Example
    
```
https://api.dezai.com/?Action=DescribeUMongoDBBackupURL
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=DatUQmzF
&ClusterId=cDNCLXDU
&BackupId=reAlkmik
&ValidTime=1
&PackageId=3
&Category=NmFaVOQi
```

### Response Example
    
```json
{
  "Action": "DescribeUMongoDBBackupURLResponse",
  "InternetAddress": "DYnKJjGA",
  "IntranetAddress": "eZNhwqZl",
  "RetCode": 0
}
```





